Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MotionRatingBehaviorMessage Class Reference

`#include <MotionRatingBehaviorMessage.h>`

Collaboration diagram for MotionRatingBehaviorMessage:

[legend]
List of all members.

## Public Types
enum | MessageType { none = 0, test, ping, report, init, request, abort, pause, proceed, stop, sleep, numOfMessageTypes }
enum | States { unknown, sleeping, preparing, waiting, testing, dead }
## Public Member Functions
| MotionRatingBehaviorMessage ()
| Constructor.
## Static Public Member Functions
char * | getStateName (States state)
## Public Attributes
MessageType | type
States | state
int | paramSetId
int | data
double | currentSpeed
double | averageSpeed
int | currentWalk
int | walkCount
bool | finished
char | remainingPower
double | distance
unsigned long | time
Vector2< double > | start
Vector2< double > | end

## Detailed Description

Author:
  Sebastian Petters

  Dirk Thomas

Definition at line 26 of file MotionRatingBehaviorMessage.h.

## Member Enumeration Documentation

enum MotionRatingBehaviorMessage::MessageType

  | Enumeration values:
  none |
  test |
  ping |
  report |
  init |
  request |
  abort |
  pause |
  proceed |
  stop |
  sleep |
  numOfMessageTypes |
Definition at line 30 of file MotionRatingBehaviorMessage.h.

enum MotionRatingBehaviorMessage::States

  | Enumeration values:
  unknown |
  sleeping |
  preparing |
  waiting |
  testing |
  dead |
Definition at line 40 of file MotionRatingBehaviorMessage.h.

## Constructor & Destructor Documentation

MotionRatingBehaviorMessage::MotionRatingBehaviorMessage | ( |  | ) |

| Constructor. Definition at line 12 of file MotionRatingBehaviorMessage.cpp.

## Member Function Documentation

char* MotionRatingBehaviorMessage::getStateName | ( | States | state | ) | `[inline, static]`

| Definition at line 61 of file MotionRatingBehaviorMessage.h. References dead, preparing, sleeping, testing, and waiting.

## Member Data Documentation

MessageType MotionRatingBehaviorMessage::type

| Definition at line 42 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), MotionRatingBehaviorControl::handleMessage(), operator<<(), and operator>>().

States MotionRatingBehaviorMessage::state

| Definition at line 43 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), MotionRatingBehaviorControl::handleMessage(), operator<<(), and operator>>().

int MotionRatingBehaviorMessage::paramSetId

| Definition at line 44 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), MotionRatingBehaviorControl::handleMessage(), operator<<(), and operator>>().

int MotionRatingBehaviorMessage::data

| Definition at line 45 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), MotionRatingBehaviorControl::handleMessage(), operator<<(), and operator>>().

double MotionRatingBehaviorMessage::currentSpeed

| Definition at line 46 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), MotionRatingBehaviorControl::handleMessage(), operator<<(), and operator>>().

double MotionRatingBehaviorMessage::averageSpeed

| Definition at line 47 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), MotionRatingBehaviorControl::handleMessage(), operator<<(), and operator>>().

int MotionRatingBehaviorMessage::currentWalk

| Definition at line 48 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), MotionRatingBehaviorControl::handleMessage(), operator<<(), and operator>>().

int MotionRatingBehaviorMessage::walkCount

| Definition at line 49 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), MotionRatingBehaviorControl::handleMessage(), operator<<(), and operator>>().

bool MotionRatingBehaviorMessage::finished

| Definition at line 50 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), operator<<(), and operator>>().

char MotionRatingBehaviorMessage::remainingPower

| Definition at line 51 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), MotionRatingBehaviorControl::handleMessage(), operator<<(), and operator>>().

double MotionRatingBehaviorMessage::distance

| Definition at line 52 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), operator<<(), and operator>>().

unsigned long MotionRatingBehaviorMessage::time

| Definition at line 53 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::execute(), operator<<(), and operator>>().

Vector2<double> MotionRatingBehaviorMessage::start

| Definition at line 55 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::handleMessage(), operator<<(), and operator>>().

Vector2<double> MotionRatingBehaviorMessage::end

| Definition at line 56 of file MotionRatingBehaviorMessage.h. Referenced by MotionRatingBehaviorControl::handleMessage(), operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/MotionRatingBehaviorControl/MotionRatingBehaviorMessage.h
- Modules/BehaviorControl/MotionRatingBehaviorControl/MotionRatingBehaviorMessage.cpp